IF OBJECT_ID('[IndexStatistics]') IS NOT NULL DROP VIEW [IndexStatistics]
GO

CREATE VIEW [IndexStatistics]
AS
SELECT [Table_Name] = OBJECT_NAME(ips.[OBJECT_ID]),
       [Index_Name] = i.[name],
	   [Index_Id] = ips.index_id,
	   [Index_Type] = index_type_desc,
	   [AverageFragmentation_Percent] = CAST(avg_fragmentation_in_percent AS INT),
	   [AveragePageSpaceUsed_Percent] = CAST(avg_page_space_used_in_percent AS INT),
	   [Page_Count] = page_count,
	   [Record_Count] = record_count
  FROM sys.dm_db_index_physical_stats(DB_ID(), NULL, NULL, NULL, 'SAMPLED') ips
       INNER JOIN sys.indexes i
	           ON (ips.[object_id] = i.[object_id])
              AND (ips.index_id = i.index_id)
 WHERE i.[name] IS NOT NULL