IF OBJECT_ID('[ServerPackages_Extended]') IS NOT NULL DROP VIEW [ServerPackages_Extended]
GO

CREATE VIEW [ServerPackages_Extended]
AS

    SELECT
           P.[Server_Id]
          ,P.[PackageType_Name]
          ,P.[Package_Name]
          ,P.[Package_Version]
          ,P.[Url_Text]
          ,P.[CollectedOn_Execution_Id]

          ,S.[Server_Name]          

          ,[CollectedOn_Execution_Start_Date] = X.[Start_Date]
          ,[CollectedOn_Execution_End_Date] = X.[End_Date]

		  ,P.[CollectedFor_ServerRole_Id]
		  ,[CollectedFor_ServerRole_Name] = SR.[ServerRole_Name]

		  ,P.[PackageDetails_Xml]

      FROM [ServerPackages] P

      INNER JOIN [Servers] S
             ON S.[Server_Id] = P.[Server_Id]

      LEFT JOIN [Executions] X 
             ON X.[Execution_Id] = P.[CollectedOn_Execution_Id]

	  LEFT JOIN [ServerRoles] SR
	         ON SR.[ServerRole_Id] = P.[CollectedFor_ServerRole_Id]
GO
