EXEC [dbo].[__AddStoredProcInfo]
    /* StoredProc_Name         */ 'JobTemplates_DeleteJobTemplate',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'void',
    /* DataTableNames_Csv      */ NULL,
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Deletes a job template.'
GO


IF OBJECT_ID('[JobTemplates_DeleteJobTemplate]') IS NOT NULL DROP PROCEDURE [JobTemplates_DeleteJobTemplate]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [JobTemplates_DeleteJobTemplate]
(
    @JobTemplate_Id INT
)
AS
BEGIN

SET NOCOUNT ON

BEGIN TRY
	BEGIN TRANSACTION

	DELETE
	  FROM [JobTemplates]
	 WHERE [JobTemplate_Id] = @JobTemplate_Id

   COMMIT
END TRY BEGIN CATCH
   IF XACT_STATE()<>0 ROLLBACK
   EXEC [HandleError]
END CATCH


END
GO

GRANT EXECUTE ON [JobTemplates_DeleteJobTemplate] TO [OtterUser_Role]
